<ion-header>
  <ion-toolbar>
        <ion-buttons slot="start">
            <ion-button color="light" (click)="goBack()">
                <ion-icon src="assets/icon/ico-back.svg" slot="icon-only"></ion-icon>
            </ion-button>
        </ion-buttons>

        <ion-buttons slot="end">
            <ion-button color="light">
                <img src="../assets/imgs/logo.svg" class="logomain" />
            </ion-button>
        </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
	<div class="title-done">
		
		<ion-icon name="ios-checkmark-circle-outline" slot="start" color="primary" size="large"></ion-icon>{{mensaje}}
	</div>
	<ion-item class="label-center"><ion-label class="label-start">{{username}}</ion-label></ion-item>
	<ion-item>
		<ion-label class="label-start">Dirección</ion-label>
		<ion-label class="label-end">{{dir}}</ion-label>
	</ion-item>
	<ion-item>
		<ion-label class="label-start">Programado</ion-label>
		<ion-label class="label-end">{{range}}</ion-label>
    </ion-item>
    
    <div *ngIf="(method) === '1'" class="Link ion-text-center" padding>
        <p>Hemos enviado un sms con el link de pago. Una vez procesado, tu pedido será confirmado.</p>
    </div>

    <div *ngIf="errorOrden">
        <ion-item>
            <ion-label class="label-start label-justify" text-wrap>
                <span class="label-bold label-color">¡Error!</span>
                Tu compra ha sido creada exitosamente, sin embargo, sucedió un error creando la referencia de pago, por
                favor inténtelo nuevamente:
            </ion-label>
        </ion-item>
        <div style="text-align: center;">
            <ion-button fill="outline" (click)="crearOrden()">Crear referencia</ion-button>
        </div>
    </div>
    <div *ngIf="reference">
        <ion-item> 
             
            <ion-label class="label-start label-justify" text-wrap>Ahora puede dirigirse a la aplicación de su Pago Móvil y realizar
                el pago con la siguiente información: 
                <br /> <br />
                <span class="label-bold">Monto:</span><span class="label-bold label-color"> {{monedaPais}} {{precioPedido | formatoMoneda}}</span>
                <br />
                <span class="label-bold">Teléfono:</span><span class="label-bold label-color"> {{telefonoCaracas}}</span>
                <br />                                                                         
                <span class="label-bold">RIF:</span><span class="label-bold label-color"> {{RIFCaracas}}</span>
                <br />
                <span class="label-bold">Nro de referencia:</span><span class="label-bold label-color"> {{reference}}</span>
                <br /> <br />
                <span class="label-bold">Recuerda darle click al botón </span> <span class="span-cursive">Actualizar
                    estado del pedido </span> cuando finalices el pago.
            </ion-label>
        </ion-item>
        <br>
        <div style="text-align: center;">
            <ion-button fill="outline" (click)="consultarOrden()">Actualizar estado del pedido</ion-button>
        </div>
        <ion-item>
            <ion-label class="label-cursive" text-wrap>También puedes actualizar el estado del pago en la
                pantalla de "Historial de pedidos".</ion-label>
        </ion-item>
    </div>

</ion-content>
